# -*- mode: python -*-
import time
from report import report_sxw
class pos_invoice(report_sxw.rml_parse,):

    def __init__(self, cr, uid, name, context):
        super(pos_invoice, self).__init__(cr, uid, name, context)
        self.localcontext.update({'time': time})



    def preprocess(self, objects, data, ids):
        super(pos_invoice, self).preprocess(objects, data, ids)
        iids = []
        nids = []
        for order in objects:
            order.write(self.cr, self.uid, [order.id], {'nb_print': order.nb_print + 1})
            self.cr.commit()
            if order.invoice_id and (order.invoice_id not in iids):
                iids.append(order.invoice_id)
                nids.append(order.invoice_id.id)
        data['ids'] = nids
        self.datas = data
        self.ids = nids
        self.objects = iids
        self.localcontext['data'] = data
        self.localcontext['objects'] = iids



report_sxw.report_sxw('report.pos.invoice', 'pos.order', 'addons/account/report/invoice.rml', parser=pos_invoice)

